// Examples from Apache
// http://hc.apache.org/httpcomponents-client/examples.html
// Tutorial
// http://hc.apache.org/httpcomponents-client/tutorial/html/
// Don't forget:
// <uses-permission android:name="android.permission.INTERNET" />
// In manifest

package com.mobvcastin.httpclientexample;

// Normal Imports
import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.TextView;

// Apache HTTP Client Related Imports - Shipped with Android
import org.apache.http.client.ResponseHandler;
import org.apache.http.client.HttpClient;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.impl.client.BasicResponseHandler;
import org.apache.http.impl.client.DefaultHttpClient;

public class HttpClientExample extends Activity {
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        // Get a reference to the button
        Button makeRequestButton = (Button) this.findViewById(R.id.Button01);
        makeRequestButton.setOnClickListener(
        	new OnClickListener()
        	{
        		// When the button is clicked
				public void onClick(View v) 
				{

					try
					{
						// Create the HttpClient (basically a simple browser that doesn't display anything)
						HttpClient httpclient = new DefaultHttpClient();
						
						// Construct the request URL
						HttpGet httpget = new HttpGet("http://www.walking-productions.com/"); 

						// Create a response handler - this will deal with the response from the server
						ResponseHandler<String> responseHandler = new BasicResponseHandler();
			        
						// Get the response
						String responseBody = httpclient.execute(httpget, responseHandler);
						
						// Here is where you would do something with the responseBody.  I am going to output it to a textfield
						TextView responseView = (TextView) HttpClientExample.this.findViewById(R.id.TextView01);
						responseView.setText(responseBody);
			        
						// When HttpClient instance is no longer needed, 							
						httpclient.getConnectionManager().shutdown();        					
					}
					catch (Exception e)
					{
						TextView responseView = (TextView) HttpClientExample.this.findViewById(R.id.TextView01);
						responseView.setText(e.getMessage());
			        }
				}
        	}
        );
    }
}